@extends('qc::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">

    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js"
        integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ=="
        crossorigin="anonymous"></script>

    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Supervisor Check List</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Form Page</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card mb-1">
                <div class="card-body">

                    <div class="row">
                        <div class="col-md-12 border">
                            <div class="row border-bottom bg-light" style="padding: 10px;">
                                <h6>Supervisor Check List</h6>
                            </div>
                            <div class="row">
                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Reference No.</div>
                                        </div>
                                        <input type="text" class="form-control form-control-sm" id="reference_no"
                                            name="reference_no">
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Date</div>
                                        </div>
                                        <input type="date" class="form-control form-control-sm" id="date"
                                            name="date">
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Shift</div>
                                        </div>
                                        <select id="shift" name="shift" class="form-control form-control-sm">
                                            <option>--Select Shift--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-md-4 mt-3">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Factory</div>
                                        </div>
                                        <select id="factory" name="factory" class="form-control form-control-sm">
                                            <option>--Select Factory--</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Order No</div>
                                        </div>
                                        <select id="customer_order_plan_data_id" name="customer_order_plan_data_id"
                                            class="form-control form-control-sm">
                                            <option>--Select Order No--</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Product Name</div>
                                        </div>
                                        <select id="product_primary_id" name="product_primary_id"
                                            class="form-control form-control-sm">
                                            <option>--Select Product Name--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <hr>


                            <div>
                                <div class="form-group row">
                                    <label for="net_size" class="col-sm-2 col-form-label">Net Size</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="net_size">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="siever_magnet" class="col-sm-2 col-form-label">Siever Magnet</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="siever_magnet"></textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="scales_mixing_area" class="col-sm-2 col-form-label">Scales-Mixing
                                        Area</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="scales_mixing_area"></textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="scales_finished_good_area" class="col-sm-2 col-form-label">Scales-Finished
                                        Good Area</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="scales_finished_good_area"></textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="volume_bucket_accuracy" class="col-sm-2 col-form-label">Volume Bucket
                                        Accuracy</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="volume_bucket_accuracy"></textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="no_of_qcs" class="col-sm-2 col-form-label">No of QCs</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="no_of_qcs">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="qc_allocated_places" class="col-sm-2 col-form-label">QC Allocated
                                        Places</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="qc_allocated_places">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table table-sm table-striped" id="tblDataMaterial"></table>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-primary" id="addRowBtnMaterial" onclick="addEmptyRowMaterial()">
                                <i class="fa fa-plus" aria-hidden="true"></i>
                            </button>

                            <hr>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table table-sm table-striped" id="tblData"></table>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-primary" id="addRowBtn" onclick="addEmptyRow()">
                                <i class="fa fa-plus" aria-hidden="true"></i>
                            </button>

                            <hr>


                            <div class="row border">
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12 mt-2 mb-2" style="text-align: right;">
                                            <button id="btnSave" class="btn btn-light form-control-sm">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>

            </div>
        </div>


    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>

    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>


    <script src="{{ Module::asset('qc:js/transaction_table.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>z
    <script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>

    <script src="{{ Module::asset('qc:js/supervisor_check_list_data.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
